Subject: CONFIG_MDULES (?)

From: Stanislaw Skowronek <[email-masked]>
Date: Sat, 15 May 2004 06:25:13 +0200 (MET DST)

Hello,

long-standing bug: in arch/mips/kernel/traps.c we've got an '#ifdef
CONFIG_MDULES". As there is no config by this name, the dbe handling code
for modules will never get compiled.

As it is, it won't compile anyway, because some necessary variables are
static in kernel/module.c (modlist_lock and modules). After making them
non-static and making correct 'extern's in traps.c it's OK. A small change
to include/asm-mips/module.h was needed (add num_dbeentries field).

All these will be included in my XKPHYS_KERNEL patch in a few days.

Stanislaw Skowronek

--<=>--
  "You're not as old as the trees, not as young as the leaves.
   Not as free as the breeze, not as open as the seas."